Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class ObjectLevelModifyQuery

`java.lang.Object
oracle.toplink.queryframework.DatabaseQuery
oracle.toplink.queryframework.ModifyQuery
oracle.toplink.queryframework.ObjectLevelModifyQuery`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DeleteObjectQuery, WriteObjectQuery

public abstract class ObjectLevelModifyQuery
extends ModifyQuery

Purpose: Abstract class for all object modify queries.

Responsibilities:

- Stores & retrieves the object to modify.
- Stores & retrieves the primary key of the objects.

Since:
  TOPLink/Java 1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.queryframework.DatabaseQuery
`CascadeAggregateDelete, CascadeAllParts, CascadeByMapping, CascadeDependentParts, CascadePrivateParts, NoCascading`

Constructor Summary
`ObjectLevelModifyQuery()` PUBLIC: Initialize the state of the query.

Method Summary
`java.lang.Object` | `getObject()` PUBLIC: Return the object required for modification.
`ObjectChangeSet` | `getObjectChangeSet()` PUBLIC: Return the ObjectChangeSet representing the object being changed
`java.lang.Class` | `getReferenceClass()` Return the domain class associated with this query.
`boolean` | `isObjectLevelModifyQuery()` PUBLIC: Return if this is an object level modify query.
`void` | `setObject(java.lang.Object object)` PUBLIC (REQUIRED): Set the object required for modification.
`java.lang.String` | `toString()`

Methods inherited from class oracle.toplink.queryframework.ModifyQuery
`forceBatchStatementExecution, isModifyQuery, setForceBatchStatementExecution`

Methods inherited from class oracle.toplink.queryframework.DatabaseQuery
`addArgument, addArgument, addArgument, addArgumentValue, addArgumentValues, addCall, addStatement, bindAllParameters, cacheStatement, cascadeAllParts, cascadeByMapping, cascadePrivateParts, dontBindAllParameters, dontCacheStatement, dontCascadeParts, dontMaintainCache, getCall, getCalls, getDatasourceCall, getDatasourceCalls, getEJBQLString, getHintString, getName, getQueryTimeout, getRedirector, getSelectionCriteria, getSessionName, getSQLStatement, getSQLString, getSQLStrings, getTranslatedSQLString, getTranslatedSQLStrings, hasSessionName, ignoreBindAllParameters, ignoreCacheStatement, isCallQuery, isDataModifyQuery, isDataReadQuery, isDeleteObjectQuery, isExpressionQuery, isInsertObjectQuery, isObjectLevelReadQuery, isReadAllQuery, isReadObjectQuery, isReadQuery, isReportQuery, isSQLCallQuery, isUpdateAllQuery, isUpdateObjectQuery, isWriteObjectQuery, maintainCache, prepareCall, setCall, setDatasourceCall, setEJBQLString, setHintString, setName, setQueryTimeout, setRedirector, setSelectionCriteria, setSessionName, setShouldBindAllParameters, setShouldCacheStatement, setShouldMaintainCache, setShouldPrepare, setShouldUseWrapperPolicy, setSQLStatement, setSQLString, shouldBindAllParameters, shouldCacheStatement, shouldCascadeAllParts, shouldCascadeByMapping, shouldCascadeParts, shouldCascadePrivateParts, shouldIgnoreBindAllParameters, shouldIgnoreCacheStatement, shouldMaintainCache, shouldPrepare, shouldUseWrapperPolicy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectLevelModifyQuery

    public ObjectLevelModifyQuery()

  PUBLIC: Initialize the state of the query.

Method Detail

### getObject

    public java.lang.Object getObject()

  PUBLIC: Return the object required for modification.

### getObjectChangeSet

    public ObjectChangeSet getObjectChangeSet()

  PUBLIC: Return the ObjectChangeSet representing the object being changed

### getReferenceClass

    public java.lang.Class getReferenceClass()

  Return the domain class associated with this query.
  Overrides:
    `getReferenceClass` in class `DatabaseQuery`

### isObjectLevelModifyQuery

    public boolean isObjectLevelModifyQuery()

  PUBLIC: Return if this is an object level modify query.
  Overrides:
    `isObjectLevelModifyQuery` in class `DatabaseQuery`

### setObject

    public void setObject(java.lang.Object object)

  PUBLIC (REQUIRED): Set the object required for modification.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DatabaseQuery`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD